Subject: Re: [PATCH v4 3/7] builtin/gc: move pruning of worktrees into a separate function

From: Patrick Steinhardt <[email-masked]>
Date: Wed, 7 May 2025 09:06:50 +0200

On Tue, May 06, 2025 at 09:50:12AM +0200, Christian Couder wrote:
> On Mon, May 5, 2025 at 10:52 AM Patrick Steinhardt <[email-masked]> wrote:
> >
> > Move pruning of worktrees into a separate function.
> 
> Repeating the subject at the beginning of the body part of the commit
> message doesn't bring much value.

I disagree with that statement. The way I review commit messages the
subject is often detached from the body, so it always helps me quite a
bit when the body is fully self-contained and doesn't depend on the
subject.

> > This prepares for a
> > subsequent commit where we introduce a new "worktree-prune" task for
> > git-maintenance(1).
> 
> I think it might help a bit to reword in the usual "describe the
> problem first and then say what to do about it" way. Maybe something
> like:
> 
> "In a subsequent commit we are going to introduce a new
> "worktree-prune" task for git-maintenance(1).
> 
> To prepare for this, refactor the code that prunes worktrees into a
> separate function."

But this reads better regardless of that, so I'll take it. Thanks!

Patrick